# IShLayerList Struct Reference

Inheritance diagram for IShLayerList:

List of all members.

## Public Types
typedef void(* | ApplyLayerFunction )(TMCColorRGBA8 &out, const TMCColorRGBA8 &layerColor, real32 opacity)
## Public Member Functions
virtual void MCCOMAPI | GetName (TMCString &name) const =0
virtual void MCCOMAPI | SetName (const TMCString &name)=0
virtual int32 MCCOMAPI | GetLayerCount () const =0
virtual IShRasterLayer *MCCOMAPI | GetLayer (int32 index) const =0
virtual int32 MCCOMAPI | GetLayerIndex (IShRasterLayer *layer) const =0
virtual void MCCOMAPI | RemoveLayer (int32 layerIndex)=0
virtual void MCCOMAPI | InsertLayer (IShRasterLayer *layer, int32 insertIndex=-1)=0
virtual void MCCOMAPI | RemoveAllLayers ()=0
virtual void MCCOMAPI | GetBounds (TMCRect &out_bounds)=0
virtual void MCCOMAPI | SetBounds (const TMCRect &in_bounds)=0
virtual MCCOMErr MCCOMAPI | GetContentChangeChannel (IChangeChannel **changeChannel)=0
virtual MCCOMErr MCCOMAPI | GetPropertyChangeChannel (IChangeChannel **changeChannel)=0
virtual void MCCOMAPI | InvalidateRect (const TMCRect &rect)=0
virtual MCCOMErr MCCOMAPI | GetFlattenedRasterLayer (IShRasterLayer **outLayer)=0
virtual ApplyLayerFunction MCCOMAPI | GetLayerApplyFunction (IShRasterLayer::ELayerMode mode, boolean topLayer)=0

## Member Typedef Documentation

typedef void(* IShLayerList::ApplyLayerFunction)(TMCColorRGBA8 &out, const TMCColorRGBA8 &layerColor, real32 opacity)

## Member Function Documentation

virtual void MCCOMAPI IShLayerList::GetBounds | ( | TMCRect & | out_bounds | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShLayerList::GetContentChangeChannel | ( | IChangeChannel ** | changeChannel | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShLayerList::GetFlattenedRasterLayer | ( | IShRasterLayer ** | outLayer | ) | `[pure virtual]`

virtual IShRasterLayer* MCCOMAPI IShLayerList::GetLayer | ( | int32 | index | ) | const`[pure virtual]`

virtual ApplyLayerFunction MCCOMAPI IShLayerList::GetLayerApplyFunction | ( | IShRasterLayer::ELayerMode | mode,
|  | boolean | topLayer |
| ) |  |  | `[pure virtual]`

virtual int32 MCCOMAPI IShLayerList::GetLayerCount | ( |  | ) | const`[pure virtual]`

virtual int32 MCCOMAPI IShLayerList::GetLayerIndex | ( | IShRasterLayer * | layer | ) | const`[pure virtual]`

virtual void MCCOMAPI IShLayerList::GetName | ( | TMCString & | name | ) | const`[pure virtual]`

virtual MCCOMErr MCCOMAPI IShLayerList::GetPropertyChangeChannel | ( | IChangeChannel ** | changeChannel | ) | `[pure virtual]`

virtual void MCCOMAPI IShLayerList::InsertLayer | ( | IShRasterLayer * | layer,
|  | int32 | insertIndex = `-1` |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IShLayerList::InvalidateRect | ( | const TMCRect & | rect | ) | `[pure virtual]`

virtual void MCCOMAPI IShLayerList::RemoveAllLayers | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IShLayerList::RemoveLayer | ( | int32 | layerIndex | ) | `[pure virtual]`

virtual void MCCOMAPI IShLayerList::SetBounds | ( | const TMCRect & | in_bounds | ) | `[pure virtual]`

virtual void MCCOMAPI IShLayerList::SetName | ( | const TMCString & | name | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShLayerList.h